=== debian/control ===
Source: ros-iron-joint-limits
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-launch-testing-ament-cmake <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: https://github.com/ros-controls/ros2_control/wiki
Standards-Version: 3.9.2

Package: ros-iron-joint-limits
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: Interfaces for handling of joint limits for controllers or hardware.
